Tenha uma nova experiência ao navegar no Fórum pelo computador de forma integrada ao portal principal. Acesse o seguinte link: https://www.autolisp.com.br/board/. Entretanto para dispositivos móveis recomendamos acessar este outro link: https://www.autolisp.com.br/forum/

Pesquisa resultou em 532 ocorrências

por laudemir
Seg 08 Jun 2009 2:58:15 pm
Fórum: AutoLISP
Tópico: LISP novo arquivo
Respostas: 3
Exibições: 630

Nao sei exatamente como vc quer fazer isto, porem da forma que escreveu poderia usar o proprio comando
WBLOCK
selecione todas as entidades desejadas
selecionar o ponto base
e o nome e pasta a ser gravado

t+
por laudemir
Seg 08 Jun 2009 2:52:37 pm
Fórum: Dúvidas
Tópico: lisp e comando "grpup"
Respostas: 16
Exibições: 1419

testa esta que estou usando nas minhas rotinas. [lsp] (defun groups(/ grp_dict lis_ent_nam) (setq grp_dict (dictsearch (namedobjdict) "ACAD_GROUP") n 0 ) (repeat (length grp_dict) (setq item (nth n grp_dict)) (if (= (car item) 3 ) (setq lis_ent_nam (cons (list (cdr item) (cdr (nth (1+ n) grp_dict)) ...
por laudemir
Qua 03 Jun 2009 9:24:29 am
Fórum: Dúvidas
Tópico: lisp e comando "grpup"
Respostas: 16
Exibições: 1419

Obrigado Ederson e Marcelo.....

funcionou perfeitamente dentro da rotina....

So vou fazer uma adaptação para me retornar todos os grupos do desenho em uma lista.

Mas ficou muito boa.......

Obrigado a todos......
por laudemir
Seg 01 Jun 2009 2:02:53 pm
Fórum: Dúvidas
Tópico: CAD2000 abrindo desenho CAD 200X?
Respostas: 1
Exibições: 578

DWGgateway

.
Procure na Net por :

DWGgateway

Ele abre qualquer versão do AutoCAD no seu prorpio AutoCAD atual.....



http://globalsite.solidworks.com/brazil ... plate.html
por laudemir
Seg 01 Jun 2009 1:23:09 pm
Fórum: Dúvidas
Tópico: lisp e comando "grpup"
Respostas: 16
Exibições: 1419

entsel, Retornar o nome Group

Bom, vamos voltar ao tópico pois...... No momento de uma discussão apenas olhamos com um ponto de vista, porem quando vamos realmente usar os métodos....... daí o ponto de visão muda mesmo.... Estou desenvolvendo umas rotinas e preciso de saber o nome do GRUPO, selecionando por "entsel". Bom a rotin...
por laudemir
Sáb 09 Mai 2009 5:17:30 pm
Fórum: Dicas
Tópico: Gravando e inserindo blocos com o programa IB
Respostas: 0
Exibições: 737

Gravando e inserindo blocos com o programa IB

Bom.... Há muito tempo que estou para postar esta ferramenta simples e eficiente. Um programa que grava e insire os blocos em desenhos com muita facilidade, pois inserir um bloco com o comando “INSERT” as vezes temos de procurar HD, pasta onde foi gravada, sub-pasta e por ai vai... Sabemos que o DES...
por laudemir
Qui 30 Abr 2009 3:21:56 pm
Fórum: Dúvidas
Tópico: Menu window
Respostas: 2
Exibições: 381

Caro ederson

Parece que eu entendi, porem acho que não........ hehehehe
de um exemplo

tipo:
vc digita um numero 1 ele inverte a janela ativa para o arquivo desenho 1 na tela atual?????



t+
por laudemir
Qui 30 Abr 2009 9:00:47 am
Fórum: Dúvidas
Tópico: Como exportar informação de TEXT para um ficheiro txt?
Respostas: 5
Exibições: 656

Verifique [lsp] (defun c:txts (/ sel lay alt n selec ) (setq sel (entsel "\nSelecione um dos textos das coordenadas")) (setq lay (cdr (assoc 8 (entget (car sel)))));;;; layer do texto selecionado (setq alt (cdr (assoc 40 (entget (car sel)))));;;; altura do texto selecionado (setq n 0 selec (ssget "x...
por laudemir
Qui 30 Abr 2009 1:10:10 am
Fórum: Dúvidas
Tópico: Como exportar informação de TEXT para um ficheiro txt?
Respostas: 5
Exibições: 656

Boa noite É bem simples porem devemos observar varios fatores... Como estão os textos no seu desenho... Se os textos das coordenadas tiverem em um LAYER separado fica bem facil, mas caso tiverrem outros textos sem ser coordenadas no mesmo layer, teremos de modificar a rotina, ou vc deverá apurar mel...
por laudemir
Qua 29 Abr 2009 10:42:10 am
Fórum: Dúvidas
Tópico: mode_tile e ok_cancel_help
Respostas: 5
Exibições: 546

Ederson

viu a ultima rotina que te enviei no gmail

ta como queres

ok_cancel_help,....... Usando( Enter)